package client.gui.container;

import common.entity.Entity;
import common.entity.npc.EntityNPC;
import common.inventory.ContainerEntityInventory;
import common.inventory.IInventory;

public class GuiEntity extends GuiContainer {
	private final String title;

	public GuiEntity(EntityNPC player, IInventory entityInv, Entity entity) {
		super(new ContainerEntityInventory(player, entityInv, entity), player);
		this.title = entity.getName();
	}

	public void addElements() {
		this.label(this.title, 8, 16);
		this.label("Inventar", 8, 90 - 8);
	}
}
